Subject: bug#36967: closed (Re: bug#36967: 27.0.50; Duplicate lines in xref output)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Dec 2020 01:43:02 +0000

Your bug report

#36967: 27.0.50; Duplicate lines in xref output

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36967: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36967
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36967: 27.0.50; Duplicate lines in xref output
From: Dmitry Gutov <[email-masked]>
To: Juri Linkov <[email-masked]>
Cc: Pankaj Jangid <[email-masked]>, [email-masked]
Date: Mon, 21 Dec 2020 03:42:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

On 09.12.2020 15:57, Dmitry Gutov wrote:
> On 09.12.2020 05:53, Dmitry Gutov wrote:
>> Using xref-file-location-column there kind of breaks the abstraction. 
>> I was thinking more along the lines of text-prop search for the column 
>> inside the summary string:
> 
> Although we'll probably make it an optional method, just like 
> xref-location-line is already.

And now done.

I've pushed the slightly tweaked Juri's patch and the change described 
above.

With that, the bug should be fixed now. Please let me know if something 
is still amiss.

Thanks all!

Subject: 27.0.50; Duplicate lines in xref output
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Thu, 08 Aug 2019 00:52:13 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I tried to use project-find-regexp more often than rgrep,
but unfortunately xref still has a fundamental flaw:

0. emacs -Q
1. M-x project-find-regexp RET regexp RET
2. The output buffer *xref* contains duplicate lines
   when regexp is found on the same line several times,
   each duplicate output line has separate highlighting
   for every regexp occurrence.